ApiKeys
List API key activity
Returns a paginated list of recent request activity recorded for an API key. Use this endpoint to list API key activity through the Samva email API.
Returns a paginated list of recent request activity recorded for an API key.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^key_[0-9a-hjkmnp-tv-z]{16,24}$Query Parameters
page?string|null
limit?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/api-keys/string/activity"{ "data": [ { "id": "string", "timestamp": "string", "method": "string", "endpoint": "string", "statusCode": 100, "latency": 0 } ], "total": 0, "hasMore": true}Get an API key
Returns the API key with the given ID, including its metadata and permissions. Use this endpoint to get an API key through the Samva email API.
Get API key send statistics
Returns aggregate send counts and daily volume attributed to an API key over the selected period of 7, 30, or 90 days.